﻿using System;
using System.Collections.Generic;

namespace Common.Core
{
    public interface IContainer
    {
        object GetInstance(Type serviceType);

        TService GetInstance<TService>() where TService : class;

        IEnumerable<TService> GetAllInstances<TService>() where TService : class;
    }
}