﻿using System;
using System.Threading.Tasks;
using NServiceBus;
using Resident.DomainEvents;

namespace Domain.EventBus.Handlers.ResidentBoundedContext
{
    public class ResidentAdmittedEventHandler : IHandleMessages<ResidentAdmitted>
    {
        public Task Handle(ResidentAdmitted message, IMessageHandlerContext context)
        {
            Console.WriteLine(message.GetType().FullName);
            return Task.CompletedTask;
        }
    }
}