﻿using System;
using System.Threading.Tasks;
using NServiceBus;
using Resident.DomainEvents;

namespace Domain.EventBus.Handlers.ResidentBoundedContext
{
    public class ResidentUpdatedEventHandler : IHandleMessages<ResidentUpdated>
    {
        public Task Handle(ResidentUpdated message, IMessageHandlerContext context)
        {
            Console.WriteLine(message.GetType().FullName);
            return Task.CompletedTask;
        }
    }
}