﻿using Common.Core;
using Common.Core.IoC;
using Microsoft.Extensions.DependencyInjection;

namespace CareVisit.EventIntegration.IoC
{
    public static class CoreExtensions
    {
        public static IServiceCollection RegisterCoreServices(this IServiceCollection services)
        {
            services.AddSingleton<IContainer, ServiceProviderWrapper>();

            //var assembly = typeof(GenericMessageHandler).GetTypeInfo().Assembly;

            //var classTypes = assembly.ExportedTypes.Select(t => t.GetTypeInfo()).Where(t => t.IsClass && !t.IsAbstract);

            //foreach (var type in classTypes)
            //{
            //    var interfaces = type.ImplementedInterfaces.Select(i => i.GetTypeInfo());

            //    foreach (var handlerType in interfaces.Where(i => i.IsGenericType && i.GetGenericTypeDefinition() == typeof(IDomainEventHandler<>)))
            //    {
            //        services.AddTransient(handlerType.AsType(), type.AsType());
            //    }
            //}

            return services;
        }
    }
}